import Vue from 'vue'
import Vuex from 'vuex'
Vue.use(Vuex)
const store = new Vuex.Store({
	mutations: {
		login(provider) { //改变登录状态
			uni.setStorage({ //将用户信息保存在本地  
				key: 'userInfo',
				data: provider
			})
		},
		logoutApp() { //退出登录 
			uni.removeStorage({
				key: 'userInfo',
			})
			getApp().globalData.token = "";
			// uni.removeStorageSync('selectedData');
			// uni.removeStorageSync('selecedProject');
			// uni.reLaunch({
			// 	url: "../loginPage/index"
			// })
			// #ifdef APP-PLUS
			var ekanfang = uni.requireNativePlugin("Ekanfang")
			ekanfang.logout();
			// #endif
		}
	}
})
export default store
